package com.yihu.jw.entity.care.device;

import com.yihu.jw.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Bing on 2021/5/8.
 */
@Entity
@Table(name="base_device_sos_log")
@SequenceGenerator(name="id_generated", sequenceName="seq_base_device_sos_log")
public class DeviceSosLogDO extends IdEntity {
    private String patient; //居民code
    private String patientName; //姓名
    private String idcard;  //身份证
    private String categoryCode;    //设备类型标识1血糖仪，2.血压计，3药盒,4智能手表
    private String deviceSn;    //设备SN码
    private String sosAddress;  //报警地址
    private String sosLat;  //报警地址纬度
    private String sosLon;  //报警地址经度
    private String sosSendStatus;//紧急救助发起状态 200成功 -1失败
    private String sosSendMessage; //紧急救助返回消息

    private Date createTime;//
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getCategoryCode() {
        return categoryCode;
    }

    public void setCategoryCode(String categoryCode) {
        this.categoryCode = categoryCode;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    public String getSosAddress() {
        return sosAddress;
    }

    public void setSosAddress(String sosAddress) {
        this.sosAddress = sosAddress;
    }

    public String getSosLat() {
        return sosLat;
    }

    public void setSosLat(String sosLat) {
        this.sosLat = sosLat;
    }

    public String getSosLon() {
        return sosLon;
    }

    public void setSosLon(String sosLon) {
        this.sosLon = sosLon;
    }

    public String getSosSendStatus() {
        return sosSendStatus;
    }

    public void setSosSendStatus(String sosSendStatus) {
        this.sosSendStatus = sosSendStatus;
    }

    public String getSosSendMessage() {
        return sosSendMessage;
    }

    public void setSosSendMessage(String sosSendMessage) {
        this.sosSendMessage = sosSendMessage;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
